MODDIR=${0%/*}

chmod +x ${MODDIR}/bin/busybox
chmod +x ${MODDIR}/F

# in case of /data encryption is disabled
while [ "$(getprop sys.boot_completed)" != "1" ]; do
    sleep 1
done

# in case of the user unlocked the screen
# until [ -d "/data/data/android" ]; do
    # sleep 1
# done

touch ${MODDIR}/F.log
crond -c ${MODDIR}/crond
